> # NAME

> cgGetBehaviorString - get the behavior name associated with a behavior enumerant

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const char * cgGetBehaviorString( CGbehavior behavior );

> # PARAMETERS

> behavior

>   The behavior enumerant.

> # RETURN VALUES

> Returns the behavior string associated with behavior.

> Returns NULL if behavior is not a valid CGbehavior.

> # DESCRIPTION

> cgGetBehaviorString returns the behavior name associated with a given behavior enumerant.

> # EXAMPLES

>       static void dumpCgContextInfo(CGcontext context)
>       {
>         const char* p = cgGetBehaviorString(cgGetContextBehavior(context));
>         if ( p ) {
>           printf(" Behavior: %s\n", p );
>         }
>         /* ... */
>       }

> # ERRORS

> None.

> # HISTORY

> cgGetBehaviorString was introduced in Cg 3.0.

> # SEE ALSO

> cgGetBehavior, cgGetContextBehavior, cgSetContextBehavior